package cocoon.acting;

import java.util.Map;
import java.util.Collections;

import org.apache.avalon.framework.parameters.Parameters;
import org.apache.cocoon.acting.AbstractAction;
import org.apache.cocoon.environment.ObjectModelHelper;
import org.apache.cocoon.environment.Redirector;
import org.apache.cocoon.environment.Request;
import org.apache.cocoon.environment.SourceResolver;
import org.apache.cocoon.servlet.multipart.Part;

public class UploadAction extends AbstractAction {

	@SuppressWarnings("unchecked")
	@Override
	public Map act(Redirector red, SourceResolver res, Map objectModel, String src, Parameters params) throws Exception {
		Request request = ObjectModelHelper.getRequest(objectModel);
		Object reqfile = request.get("file");
		if (null != reqfile) {
			Part part = (Part) reqfile;
			System.out.println(part.getFileName());
			System.out.println(part.getMimeType());
			System.out.println(part.getSize());
			return Collections.EMPTY_MAP;
		}
		return null;
	}

}
